| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_ClassInfo_Audio_Device_t Struct Reference
Audio 1.0 Class Device Mode Driver

## Detailed Description

Audio Class Device Mode Configuration and State Structure.

Class state structure. An instance of this structure should be made for each Audio interface within the user application, and passed to each of the Audio class driver functions as the `AudioInterfaceInfo` parameter. This stores each Audio interface's configuration and state information.

Definition at line 71 of file AudioClassDevice.h.

`#include "AudioClassDevice.h"`

## Data Fields
struct {
uint8_t ControlInterfaceNumber
uint8_t StreamingInterfaceNumber
uint8_t DataINEndpointNumber
uint16_t DataINEndpointSize
uint8_t DataOUTEndpointNumber
uint16_t DataOUTEndpointSize
uint8_t PortNumber
} | Config
struct {
bool InterfaceEnabled
} | State

## Field Documentation

struct { ... } Config

Config data for the USB class interface within the device. All elements in this section must be set or the interface will fail to enumerate and operate correctly.

uint8_t ControlInterfaceNumber

Index of the Audio Control interface within the device this structure controls.

Definition at line 75 of file AudioClassDevice.h.

uint8_t DataINEndpointNumber

Endpoint number of the incoming Audio Streaming data, if available (zero if unused).

Definition at line 82 of file AudioClassDevice.h.

uint16_t DataINEndpointSize

Size in bytes of the incoming Audio Streaming data endpoint, if available (zero if unused).

Definition at line 85 of file AudioClassDevice.h.

uint8_t DataOUTEndpointNumber

Endpoint number of the outgoing Audio Streaming data, if available (zero if unused).

Definition at line 89 of file AudioClassDevice.h.

uint16_t DataOUTEndpointSize

Size in bytes of the outgoing Audio Streaming data endpoint, if available (zero if unused).

Definition at line 92 of file AudioClassDevice.h.

bool InterfaceEnabled

Set and cleared by the class driver to indicate if the host has enabled the streaming endpoints of the Audio Streaming interface.

Definition at line 101 of file AudioClassDevice.h.

uint8_t PortNumber

Port number that this interface is running.

Definition at line 95 of file AudioClassDevice.h.

struct { ... } State

State data for the USB class interface within the device. All elements in this section are reset to their defaults when the interface is enumerated.

uint8_t StreamingInterfaceNumber

Index of the Audio Streaming interface within the device this structure controls.

Definition at line 78 of file AudioClassDevice.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Class/Device/AudioClassDevice.h